# src/hfs/Makefile.inc

rel := src/hfs

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# hfsfix

HFSFIX_BAS  := hfsfix
HFSFIX_SRC  := $(foreach f,$(HFSFIX_BAS),$(rel)/$(f).c)
HFSFIX_HDR  := $(foreach f,$(HFSFIX_BAS),$(rel)/$(f).h)
HFSFIX_OBJ  := $(foreach f,$(HFSFIX_BAS),$(rel)/$(f).o)
HFSFIX_MAN1 := $(rel)/hfsfix.1
HFSFIX_BIN  := $(rel)/hfsfix$(EXEEXT)
HFSFIX_BDP  := $(HFSFIX_OBJ) $(MACLIB_ARC)

BIN  += $(HFSFIX_BIN)
MAN1 += $(HFSFIX_MAN1)
CLN  += $(HFSFIX_BIN) $(HFSFIX_OBJ)
DIST += $(HFSFIX_SRC) $(HFSFIX_HDR) $(HFSFIX_MAN1)

$(rel)/hfsfix.o:	$(rel)/hfsfix.c

$(rel)/hfsfix$(EXEEXT): $(HFSFIX_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(HFSFIX_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# hfsinfo

HFSINFO_BAS  := hfsinfo
HFSINFO_SRC  := $(foreach f,$(HFSINFO_BAS),$(rel)/$(f).c)
HFSINFO_HDR  := $(foreach f,$(HFSINFO_BAS),$(rel)/$(f).h)
HFSINFO_OBJ  := $(foreach f,$(HFSINFO_BAS),$(rel)/$(f).o)
HFSINFO_MAN1 := $(rel)/hfsinfo.1
HFSINFO_BIN  := $(rel)/hfsinfo$(EXEEXT)
HFSINFO_BDP  := $(HFSINFO_OBJ) $(MACLIB_ARC)

BIN  += $(HFSINFO_BIN)
MAN1 += $(HFSINFO_MAN1)
CLN  += $(HFSINFO_BIN) $(HFSINFO_OBJ)
DIST += $(HFSINFO_SRC) $(HFSINFO_HDR) $(HFSINFO_MAN1)

$(rel)/hfsinfo.o:	$(rel)/hfsinfo.c

$(rel)/hfsinfo$(EXEEXT): $(HFSINFO_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(HFSINFO_OBJ) $(MACLIB_ARC) $(LIB)
