/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/dc42.h                                               *
 * Created:     2009-10-12 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2009 Hampa Hug <hampa@hampa.ch>                          *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_DC42_H
#define MAC_LIB_DC42_H 1


void dc42_init (void *hdr);

int dc42_read (void *hdr, FILE *fp);
int dc42_write (const void *hdr, FILE *fp);

const unsigned char *dc42_get_name_pstr (const void *hdr);
int dc42_set_name_pstr (void *hdr, const void *str);

char *dc42_get_name_cstr (const void *hdr);
int dc42_set_name_cstr (void *hdr, const char *str);

unsigned long dc42_get_data_size (const void *hdr);
void dc42_set_data_size (void *hdr, unsigned long v);

unsigned long dc42_get_tag_size (const void *hdr);
void dc42_set_tag_size (void *hdr, unsigned long v);

unsigned long dc42_get_data_checksum (const void *hdr);
void dc42_set_data_checksum (void *hdr, unsigned long v);

unsigned long dc42_get_tag_checksum (const void *hdr);
void dc42_set_tag_checksum (void *hdr, unsigned long v);

unsigned long dc42_calc_checksum (const void *buf, unsigned long cnt, unsigned long chk);


#endif
