/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/dir.h                                                *
 * Created:     2007-12-02 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2007-2011 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_DIR_H
#define MAC_LIB_DIR_H 1


#include <time.h>


#define MAC_LIST_LIST  1
#define MAC_LIST_ENTER 2
#define MAC_LIST_LEAVE 3


typedef struct {
	char               *name;

	unsigned long long size;
	unsigned           mode;
	time_t             mtime;

	char               is_link;
	char               is_file;
	char               is_dir;
} mac_stat_t;


typedef int (*mac_list_f) (void *ext, unsigned op, const mac_stat_t *inf);


int mac_dir_list_dir (const char *name, int rec, void *ext, mac_list_f fct);

int mac_dir_list (const char *base, int rec, void *ext, mac_list_f fct);


#endif
