/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/mactime.h                                            *
 * Created:     2004-02-07 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2004-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_MACTIME_H
#define MAC_LIB_MACTIME_H 1


#include <time.h>


void mac_time_to_hms (unsigned long t, unsigned *h, unsigned *m, unsigned *s);
unsigned long mac_hms_to_time (unsigned h, unsigned m, unsigned s);

void mac_time_to_ymd (unsigned long t, unsigned *y, unsigned *m, unsigned *d);
unsigned long mac_ymd_to_time (unsigned y, unsigned m, unsigned d);

/*!***************************************************************************
 * @short  Convert mac time to unix time
 * @param  t The mac time
 * @return Unix time
 *****************************************************************************/
time_t mac_time_to_unix (unsigned long t);

unsigned long mac_time_from_unix (time_t tm);
unsigned long mac_time_from_utc (time_t tm);

/*!***************************************************************************
 * @short  Convert a string to mac time
 * @param  str The date string (yyyy-mm-dd hh:mm:ss)
 * @return The mac date
 *****************************************************************************/
unsigned long mac_time_from_string (const char *str);


#endif
