/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/tar.h                                                *
 * Created:     2007-12-01 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2007-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_TAR_H
#define MAC_LIB_TAR_H 1


void tar_init (unsigned char *buf);
int tar_set_fname (unsigned char *buf, const char *fname);
void tar_set_mode (unsigned char *buf, unsigned long mode);
int tar_set_user (unsigned char *buf, unsigned long uid, const char *uname);
int tar_set_group (unsigned char *buf, unsigned long gid, const char *gname);
int tar_set_size (unsigned char *buf, unsigned long val);
void tar_set_mtime (unsigned char *buf, unsigned long val);
void tar_set_type (unsigned char *buf, char type);
void tar_set_device (unsigned char *buf, unsigned long maj, unsigned long min);
void tar_set_checksum (unsigned char *buf);


#endif
