# src/macc/Makefile.inc

rel := src/macc

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------

MACC_BAS  := macc
MACC_BAS  += macc_inp_as macc_inp_hcx macc_inp_hqx macc_inp_mar macc_inp_mb
MACC_BAS  += macc_out_as macc_out_hcx macc_out_hqx macc_out_mar macc_out_mb
MACC_SRC  := $(foreach f,$(MACC_BAS),$(rel)/$(f).c)
MACC_HDR  := $(rel)/macc.h
MACC_OBJ  := $(foreach f,$(MACC_BAS),$(rel)/$(f).o)
MACC_MAN1 := $(rel)/macc.1
MACC_BIN  := $(rel)/macc$(EXEEXT)
MACC_SDP  := $(MACC_HDR) src/config.h
MACC_BDP  := $(MACC_OBJ) $(MACLIB_ARC)

BIN  += $(MACC_BIN)
MAN1 += $(MACC_MAN1)
CLN  += $(MACC_BIN) $(MACC_OBJ)
DIST += $(MACC_SRC) $(MACC_HDR) $(MACC_MAN1)

$(rel)/macc.o:		$(rel)/macc.c
$(rel)/macc_inp_as.o:	$(rel)/macc_inp_as.c
$(rel)/macc_inp_hcx.o:	$(rel)/macc_inp_hcx.c
$(rel)/macc_inp_hqx.o:	$(rel)/macc_inp_hqx.c
$(rel)/macc_inp_mar.o:	$(rel)/macc_inp_mar.c
$(rel)/macc_inp_mb.o:	$(rel)/macc_inp_mb.c
$(rel)/macc_out_as.o:	$(rel)/macc_out_as.c
$(rel)/macc_out_hcx.o:	$(rel)/macc_out_hcx.c
$(rel)/macc_out_hqx.o:	$(rel)/macc_out_hqx.c
$(rel)/macc_out_mar.o:	$(rel)/macc_out_mar.c
$(rel)/macc_out_mb.o:	$(rel)/macc_out_mb.c

$(rel)/macc$(EXEEXT): $(MACC_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MACC_OBJ) $(MACLIB_ARC) $(LIB)
