# src/mfs/Makefile.inc

rel := src/mfs

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# mfsfix

MFSFIX_BAS  := mfsfix
MFSFIX_SRC  := $(foreach f,$(MFSFIX_BAS),$(rel)/$(f).c)
MFSFIX_HDR  := $(foreach f,$(MFSFIX_BAS),$(rel)/$(f).h)
MFSFIX_OBJ  := $(foreach f,$(MFSFIX_BAS),$(rel)/$(f).o)
MFSFIX_MAN1 := $(rel)/mfsfix.1
MFSFIX_BIN  := $(rel)/mfsfix$(EXEEXT)
MFSFIX_BDP  := $(MFSFIX_OBJ) $(MACLIB_ARC)

BIN  += $(MFSFIX_BIN)
MAN1 += $(MFSFIX_MAN1)
CLN  += $(MFSFIX_BIN) $(MFSFIX_OBJ)
DIST += $(MFSFIX_SRC) $(MFSFIX_HDR) $(MFSFIX_MAN1)

$(rel)/mfsfix.o:	$(rel)/mfsfix.c

$(rel)/mfsfix$(EXEEXT): $(MFSFIX_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MFSFIX_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# mfsinfo

MFSINFO_BAS  := mfsinfo
MFSINFO_SRC  := $(foreach f,$(MFSINFO_BAS),$(rel)/$(f).c)
MFSINFO_HDR  := $(foreach f,$(MFSINFO_BAS),$(rel)/$(f).h)
MFSINFO_OBJ  := $(foreach f,$(MFSINFO_BAS),$(rel)/$(f).o)
MFSINFO_MAN1 := $(rel)/mfsinfo.1
MFSINFO_BIN  := $(rel)/mfsinfo$(EXEEXT)
MFSINFO_BDP  := $(MFSINFO_OBJ) $(MACLIB_ARC)

BIN  += $(MFSINFO_BIN)
MAN1 += $(MFSINFO_MAN1)
CLN  += $(MFSINFO_BIN) $(MFSINFO_OBJ)
DIST += $(MFSINFO_SRC) $(MFSINFO_HDR) $(MFSINFO_MAN1)

$(rel)/mfsinfo.o:	$(rel)/mfsinfo.c

$(rel)/mfsinfo$(EXEEXT): $(MFSINFO_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MFSINFO_OBJ) $(MACLIB_ARC) $(LIB)

# ----------------------------------------------------------------------
# mkmfs

MKMFS_BAS  := mkmfs
MKMFS_SRC  := $(foreach f,$(MKMFS_BAS),$(rel)/$(f).c)
MKMFS_HDR  := $(foreach f,$(MKMFS_BAS),$(rel)/$(f).h)
MKMFS_OBJ  := $(foreach f,$(MKMFS_BAS),$(rel)/$(f).o)
MKMFS_MAN1 := $(rel)/mkmfs.1
MKMFS_BIN  := $(rel)/mkmfs$(EXEEXT)
MKMFS_BDP  := $(MKMFS_OBJ) $(MACLIB_ARC)

BIN  += $(MKMFS_BIN)
MAN1 += $(MKMFS_MAN1)
CLN  += $(MKMFS_BIN) $(MKMFS_OBJ)
DIST += $(MKMFS_SRC) $(MKMFS_HDR) $(MKMFS_MAN1)

$(rel)/mkmfs.o:	$(rel)/mkmfs.c

$(rel)/mkmfs$(EXEEXT): $(MKMFS_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MKMFS_OBJ) $(MACLIB_ARC) $(LIB)
