#!/bin/bash

case "$1" in
"--help")
	echo "usage: mbrdump [options] [file...]"
	echo "  -s, --sort  Sort resources [no]"
	exit 0
	;;

"--version")
	echo "mbrdump (mac-utils) version %MACUTILS_VERSION_STR"
	echo ""
	echo "Copyright (C) 2005-2009 by Hampa Hug <hampa@hampa.ch>"
	exit 0
	;;
esac

par_sort=0

mb_resource_dump ()
{
	local bin=$1
	local bas
	local dat
	local rsc
	local inf
	local tmp
	local opt

	bas="${bin%.bin}"
	tmp=".$bas-$$.rsc"
	rsc="$bas.r"

	if test ! -r "$bin" -o -e "$rsc" ; then
		return 1
	fi

	opt=""

	if test "x$par_sort" == "x1" ; then
		opt="$opt -s"
	fi

	macbin -d -b "$bin" -r "$tmp"
	macrsc -d $opt -i "$tmp" -o "$rsc"

	rm -f "$tmp"
}

while test $# -gt 0 ; do
	case "$1" in
	"-s" | "--sort")
		par_sort=1
		;;
	-*)
		echo "$0: unknown option ($1)" >&2
		exit 1
		;;
	*)
		if ! mb_resource_dump "$1" ; then
			echo "$0: $1 failed" >&2
		fi
		;;
	esac

	shift 1
done
